﻿
body
{
padding-top: 40px;
background:#f1f1f1;
}
.form-group {
margin-bottom: 7px;
}

.ui-autocomplete
{
max-height: 30.6rem;
overflow-y: scroll;
overflow-x: hidden;
border-radius: 0px;
display: block;
overflow: auto;
z-index: 2147483647;
padding: 0px 0px 0px 0px;
background: #fafafa;

    
}
.lb_title
{
font-size: 20px;
}

.dv_add_new
{
cursor: pointer;
position: fixed;
top: 73px;
right: 73px;
z-index: 1000;
color:Green;
display: -webkit-box;
display: -ms-flexbox;
display: flex;
-webkit-box-align: center;
-ms-flex-align: center;
align-items: center;

}

.ic_addnew
{
font-size: 50px;
-webkit-transition-duration:0.7s;
-moz-transition-duration:0.7s;
-o-transition-duration:0.7s;
transition-duration:0.7s;
text-align: right;
}
.ic_addnew:hover
{
-webkit-transform: scale(1.2);
-moz-transform: scale(1.2);
-o-transform: scale(1.2);
transform: scale(1.2);
}
.dv_add_new:hover .tx_add_new
{
opacity: 1.0;

}
.tx_add_new
{
font-size: 20px;
opacity: 0.0;
-webkit-transition: all 600ms ease-in-out;
-moz-transition: all 600ms ease-in-out;
-ms-transition: all 600ms ease-in-out;
-o-transition: all 600ms ease-in-out;
transition: all 600ms ease-in-out;
}

.ui-menu-item
{
font-size: 1.4rem !important;
font-weight: 400 !important;
line-height: 2.1rem !important;
border-bottom: 1px solid #1470b7;
padding: 0px 0px 0px 0px;
border-bottom-color: #C0C0C0;

}

.ui-menu-item:hover
{
   
}

.ui-menu-item-wrapper
{
padding: 0px 5px 0px 0px;
border-right:5px solid #fafafa;

}
.ui-menu-item-wrapper
{
border-right: 0px solid #1470b7;
background: #FFFFFF;
transition: all 0.5s ease-in-out;
border-right-color: #FFFFFF;

} 
.ui-menu-item .ui-menu-item-wrapper.ui-state-active
{
background: #eee;
border-right: 5px solid #1470b7;
transition: all 0.5s ease-in-out;
} 

.ui-state-hover, .ui-widget-content .ui-state-hover, .ui-widget-header .ui-state-hover,   
.ui-state-focus, .ui-widget-content .ui-state-focus, .ui-widget-header .ui-state-focus {
background: red;
border: none;
color:#000;
border-radius:0;
font-weight: normal;
}
.padend1
{
padding-top: 5px!important;
}
.padend2
{
padding-bottom:5px!important;
}



.colorgraph {
height: 1px;
border-top: 0;
background: #c4e17f;
border-radius: 0px;
background-image: -webkit-linear-gradient(left, #c4e17f, #c4e17f 12.5%, #f7fdca 12.5%, #f7fdca 25%, #fecf71 25%, #fecf71 37.5%, #f0776c 37.5%, #f0776c 50%, #db9dbe 50%, #db9dbe 62.5%, #c49cde 62.5%, #c49cde 75%, #669ae1 75%, #669ae1 87.5%, #62c2e4 87.5%, #62c2e4);
background-image: -moz-linear-gradient(left, #c4e17f, #c4e17f 12.5%, #f7fdca 12.5%, #f7fdca 25%, #fecf71 25%, #fecf71 37.5%, #f0776c 37.5%, #f0776c 50%, #db9dbe 50%, #db9dbe 62.5%, #c49cde 62.5%, #c49cde 75%, #669ae1 75%, #669ae1 87.5%, #62c2e4 87.5%, #62c2e4);
background-image: -o-linear-gradient(left, #c4e17f, #c4e17f 12.5%, #f7fdca 12.5%, #f7fdca 25%, #fecf71 25%, #fecf71 37.5%, #f0776c 37.5%, #f0776c 50%, #db9dbe 50%, #db9dbe 62.5%, #c49cde 62.5%, #c49cde 75%, #669ae1 75%, #669ae1 87.5%, #62c2e4 87.5%, #62c2e4);
background-image: linear-gradient(to right, #c4e17f, #c4e17f 12.5%, #f7fdca 12.5%, #f7fdca 25%, #fecf71 25%, #fecf71 37.5%, #f0776c 37.5%, #f0776c 50%, #db9dbe 50%, #db9dbe 62.5%, #c49cde 62.5%, #c49cde 75%, #669ae1 75%, #669ae1 87.5%, #62c2e4 87.5%, #62c2e4);
}
.fontred
{
color: #1470b7;
}
/* start control ------------------------------------------------------------------------------- */

.lpchikbox, .chikbox, select, option,.handcursor
{
cursor: pointer;
}
select
{
-moz-appearance: none; /* Removes Default Firefox style*/
}

/* end control ------------------------------------------------------------------------------- */

/* start navbar ------------------------------------------------------------------------------- */
.navmaster .nav > li > a {
padding: 15px 8px;     
}
.navmaster .navbar-inverse
{
background-color: #1470b7;
border-color: #1470b7;
background-image: none;
}
.navmaster .navbar-inverse .navbar-nav > li > a
{
color: #ffffff;
font-weight: bold;
}
.navmaster .nav > li > a
{
   
}
.navmaster .dropdown-menu > li > a
{
font-weight: bold;
padding: 6px 12px
}
.navmaster .dropdown-menu
{
min-width: 200px;
}
@media (max-width: 767px)
{
.navbar-nav .open .dropdown-menu > li > a, .navbar-nav .open .dropdown-menu .dropdown-header
{

}
}
.navmaster .navbar-inverse .navbar-brand
{

padding: 0px 5px 0px 0px;

}
.navmaster .navbar-toggle
{

    
}
.navbar-inverse .navbar-collapse, .navbar-inverse .navbar-form {
border-color: #1470b7;
}
.navmaster nav
{
transition: top 0.1s ease-in-out;
}
.navmaster .nav-up
{
top: -51px;
}
.dropdown-menu > .active > a, .dropdown-menu > .active > a:hover, .dropdown-menu > .active > a:focus {
background-color: #1470b7;
}
.navbar-inverse .navbar-nav > .active > a, .navbar-inverse .navbar-nav > .active > a:hover, .navbar-inverse .navbar-nav > .active > a:focus
{
background-color: #074c82;
}
/* end navbar */

/*start boostrap  ------------------------------------------------------------------------------- */
.has-feedback .form-control {
padding-left: 0px; 
padding-right: 7px;
top: 0px;
right: 0px;
}
.well
{
padding-top: 5px;
padding-bottom: 5px;

margin-bottom:0px;
border-top-left-radius: 0px;
border-top-right-radius: 0px;
box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 3px 1px -2px rgba(0, 0, 0, 0.2);
 min-height: 80vh;
}
.login-box
{
   
}
.input-group-addon:first-child
{
border-right: 1px solid #ccc;

}
.radio input[type="radio"], .radio-inline input[type="radio"], .checkbox input[type="checkbox"], .checkbox-inline input[type="checkbox"]
{
cursor: pointer;
}
.btn
{
font-weight: bold;
}
.btnright
{
border-top-right-radius:0px!important;
border-bottom-right-radius:0px!important;
}
.remve-border-radius
{
border-top-left-radius:0px;
border-bottom-left-radius:0px;
border-top-right-radius:0px;
border-bottom-right-radius:0px;
}
.btn-danger 
{
background-color: #1470b7;
}
.danger_
{
background-color: #1470b7!important;
color: #FFFFFF!important;
border-color: #1470b7!important;
}
.form-horizontal .form-group
{
margin-right: auto;
margin-left: auto;
}

/* start modal ------------------------------------------------------------------------------- */
.modal-header
{
border-top-left-radius: 6px;
border-top-right-radius: 6px;
color: #FFFFFF;
padding: 5px;
padding-right:14px
}

.modal-header-red
{
background-color: #1470b7;
}
.modal-header .close
{
margin-top: 4px;
margin-left: 8px;
}
.modal-backdrop {
    visibility: hidden !important;
}
.modal.in {
    background-color: rgba(0,0,0,0.5);
}
.spnMsg-red,.spnMsg-green,.spnMsg-mas
{
line-height: 1.5em;
}
.spnMsg-red
{
color: #1470b7;
line-height: 1.5em;
}
.modal-header-green
{
background-color: #53a253;
}
.spnMsg-green
{
color: #000000;
}
.modal-header-mas
{
background-color: #787878;
}
.spnMsg-mas
{
color: #5bc0de;
}
/*end modal*/

/* start main ------------------------------------------------------------------------------- */
.main
{
min-height: 92vh;
margin-top:0px;
margin-bottom:10px;
}

.errormas
{
   
  
}
.error
{
float: left;
margin-left: 3px;
margin-top: -25px;
position: relative;
z-index: 2;
color: #DC291E;
font-size: 18px;
content:"";
}
.field-icon-eye {
float: left;
margin-left: 30px;
margin-top: -25px;
position: relative;
z-index: 3;
cursor: pointer;
color: #C0C0C0;
}
/* start buton clear ------------------------------------------------------------------------------- */

::-ms-clear {
display: none;
}
.form-control-clear
{
z-index: 10;
pointer-events: auto;
cursor: pointer;
color: #C0C0C0;

}

.form-horizontal .has-feedback .form-control-feedback {
left: -5px;
right: auto;
}

/* end button clear */
header h1
{
border-style: solid;
border-width: 1px 1px 0px 1px;
border-color: #e3e3e3;
font-weight: bold;
margin: 10px -15px -2px -15px;
padding: 10px 0px 10px 0px;
line-height: 1.5em;
border-top-left-radius: 4px;
border-top-right-radius: 4px;
color: #1470b7;
box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 3px 1px -2px rgba(0, 0, 0, 0.2);
background-color: #FFFFFF;
font-size:20px;
}
/* end main  */

/* start div loding ------------------------------------------------------------------------------- */
/*.modal2
{
position: fixed;
z-index: 999;
height: 100%;
width: 100%;
top: 0;
background-color: Black;
filter: alpha(opacity=60);
opacity: 0.6;
-moz-opacity: 0.8;
color: #FFFFFF;
    
}*/
.center
{
z-index: 1000;
position: fixed;
top: 50%;
left: 50%;
transform: translate(-50%, -50%);
font-size: 50px;
}
.center img
{
height: 70px;
width: 70px;
}
/* end div loding */ 



/* start footar ------------------------------------------------------------------------------- */




.footer-bottom {
background-color: #1470b7;
min-height: 30px;
}
.design {
color: #fff;
line-height: 30px;
min-height: 30px;
}
.design a {
color: #fff;
}
/* end  footar */
/* start button back-to-top ------------------------------------------------------------------------------- */
.back-to-top {
cursor: pointer;
position: fixed;
bottom: 20px;
right: 20px;
display:none;
width: 30px;
height: 30px;
border-radius: 15px;
text-align: center;
padding: 6px 0;
font-size: 8px;
}
/* end button back-to-top */
/* ------------------------------------------------------------------------------- */
@media only screen and (min-width : 320px) {
h1 {font-size:2.5rem;} 

}
/* Extra Small Devices, Phones */ 
@media only screen and (min-width : 480px) {
h1 {font-size:2.9rem;} 

}
/* Small Devices, Tablets */
@media only screen and (min-width : 768px) {
h1 {font-size:3.0rem;} 
}
/* Medium Devices, Desktops */
@media only screen and (min-width : 992px) {

}
/* Large Devices, Wide Screens */
@media only screen and (min-width : 1200px) {

}
/*==========  Non-Mobile First Method  ==========*/
/* Large Devices, Wide Screens */
@media only screen and (max-width : 1200px) {
}
/* Medium Devices, Desktops */
@media only screen and (max-width : 992px) {

}
/* Small Devices, Tablets */
@media only screen and (max-width : 767px) {
.navbar-inverse .navbar-nav .open .dropdown-menu > li > a {
color: #fff;
}
}
/* Extra Small Devices, Phones */ 
@media only screen and (max-width : 480px) {

}
/* Custom, iPhone Retina */ 
@media only screen and (max-width : 320px) {

}

input[type="radio"].aspNetDisabled,
input[type="checkbox"].aspNetDisabled,
.radio-inline.aspNetDisabled,
.checkbox-inline.aspNetDisabled,
.radio.aspNetDisabled label,
.checkbox.aspNetDisabled label
{
cursor: not-allowed;
}
.btn.aspNetDisabled
{

cursor: not-allowed;
filter: alpha(opacity=50);
-webkit-box-shadow: none;
box-shadow: none;
opacity: .50;
}
.btn-default.aspNetDisabled,
.btn-default.aspNetDisabled:hover,
.btn-default.aspNetDisabled:focus,
.btn-default.aspNetDisabled:active,
.btn-default.aspNetDisabled.active
{
background-color: #fff;
border-color: #ccc;
}
.btn-primary.aspNetDisabled,
.btn-primary.aspNetDisabled:hover,
.btn-primary.aspNetDisabled:focus,
.btn-primary.aspNetDisabled:active,
.btn-primary.aspNetDisabled.active
{
background-color: #428bca;
border-color: #357ebd;
}
.btn-success.aspNetDisabled,
.btn-success.aspNetDisabled:hover,
.btn-success.aspNetDisabled:focus,
.btn-success.aspNetDisabled:active,
.btn-success.aspNetDisabled.active
{
background-color: #5cb85c;
border-color: #4cae4c;
}
.btn-info.aspNetDisabled,
.btn-info.aspNetDisabled:hover,
.btn-info.aspNetDisabled:focus,
.btn-info.aspNetDisabled:active,
.btn-info.aspNetDisabled.active
{
background-color: #5bc0de;
border-color: #46b8da;
}
.btn-warning.aspNetDisabled,
.btn-warning.aspNetDisabled:hover,
.btn-warning.aspNetDisabled:focus,
.btn-warning.aspNetDisabled:active,
.btn-warning.aspNetDisabled.active
{
background-color: #f0ad4e;
border-color: #eea236;
}
.btn-danger.aspNetDisabled,
.btn-danger.aspNetDisabled:hover,
.btn-danger.aspNetDisabled:focus,
.btn-danger.aspNetDisabled:active,
.btn-danger.aspNetDisabled.active
{
background-color: #d9534f;
border-color: #d43f3a;
}
.dropdown-menu > .aspNetDisabled > a,
.dropdown-menu > .aspNetDisabled > a:hover,
.dropdown-menu > .aspNetDisabled > a:focus,
.dropdown-menu > li > a.aspNetDisabled,
.dropdown-menu > li > a.aspNetDisabled:hover,
.dropdown-menu > li > a.aspNetDisabled:focus
{
color: #777;
}
.dropdown-menu > .aspNetDisabled > a:hover,
.dropdown-menu > .aspNetDisabled > a:focus,
.dropdown-menu > li > a.aspNetDisabled:hover,
.dropdown-menu > li > a.aspNetDisabled:focus
{
text-decoration: none;
cursor: not-allowed;
background-color: transparent;
background-image: none;
filter: progid:DXImageTransform.Microsoft.gradient(enabled = false);
}
/*start menu hiden show */
.mini-submenu
{
display: none;
background-color: rgba(0, 0, 0, 0);
border: 1px solid rgba(0, 0, 0, 0.9);
border-radius: 4px;
padding: 9px; /*position: relative;*/
width: 42px;
}
.mini-submenu:hover{
cursor: pointer;
}
.mini-submenu .icon-bar {
border-radius: 1px;
display: block;
height: 2px;
width: 22px;
margin-top: 3px;
}
.mini-submenu .icon-bar {
background-color: #000;
}
#slide-submenu
{
display: inline-block;
padding: 0 8px;
border-radius: 4px;
cursor: pointer;
background-color: #FFFFFF;
color: #1470b7;
}
/*end menu hiden show */
.frame {
width: 100%;
margin: 0;
padding: 0;
border: 0 none;
box-sizing: border-box;
}
/*start table gridview*/
.table {
margin-bottom: 0px; 
}
.table > thead > tr > th, .table > tbody > tr > th, .table > tfoot > tr > th, .table > thead > tr > td, .table > tbody > tr > td, .table > tfoot > tr > td
{
vertical-align: middle;
line-height: 1;
padding: 3px;
}
.table tr th , .footergrid
{
background-color: #1470b7!important;
color: #FFFFFF;
text-align: center;
}

.table > tbody > tr > th
{
padding: 5px;
cursor: default;
}
.table tr th a,.table tr th a:hover
{
color: #FFFFFF;
text-decoration: none;
}
.table tr td a:hover
{

text-decoration: none;
}      
.table table tbody tr td a, .table table tbody tr td span
{
padding: 6px 12px;
position: relative;
float: left;
margin-left: -1px;
line-height: 1;
color: #1470b7;
text-decoration: none;
background-color: #fff;
border: 1px solid #ddd;
}
.table table > tbody > tr > td > span
{
z-index: 3;
color: #FFFFFF;
cursor: default;
background-color: #1470b7;
border-color: #1470b7;
}
.table table > tbody > tr > td:first-child > a, .table table > tbody > tr > td:first-child > span
{
margin-left: 0;
border-top-right-radius: 4px;
border-bottom-right-radius: 4px;
}
.table table > tbody > tr > td:last-child > a, .table table > tbody > tr > td:last-child > span
{
border-top-left-radius: 4px;
border-bottom-left-radius: 4px;
}
.table table > tbody > tr > td > a:hover, .table table > tbody > tr > td > span:hover, .table table > tbody > tr > td > a:focus, .table table > tbody > tr > td > span:focus
{
z-index: 2;
color: #1470b7;
background-color: #eee;
border-color: #1470b7;
}
.table tr:not(.highlightgridcol2):not(.classupdate):not(.footergrid):not(.PagerSettings):hover 
{
background: #CCCCCC !important;
cursor: pointer;
}  
caption
{
text-align: center;
font-size: medium;
font-weight: bold;
}

/*end table gridview*/
/*start heder gridview */
.headergrid a:before, .sorting_asc a:before, .sorting_desc a:before
{
font-family: 'Glyphicons Halflings';
padding-left: 2px;
font-size:smaller;
font-weight:normal;
}
.headergrid a:before
{
content: "\e150";
}
.sorting_asc a:before 
{
content:"\e155";
}
.sorting_desc a:before
{
content:"\e156";
}
/*end heder gridview */


.divscor
{
height: 30.6rem;
overflow-y: scroll;
overflow-x: scroll;
white-space: nowrap;
display: block;
overflow: auto;

}
      
.divscor::-webkit-scrollbar, .ui-autocomplete::-webkit-scrollbar
{
width: 3px;
height: 5px;
}
        
/* Track */
.divscor::-webkit-scrollbar-track
{
box-shadow: inset 0 0 1px grey;
border-radius: 10px;
}
        
/* Handle */
.divscor::-webkit-scrollbar-thumb,.ui-autocomplete::-webkit-scrollbar-thumb
{
background: #C0C0C0;
}
.divscor::-webkit-scrollbar-thumb:hover
{
background: #808080;
}
.divscor_
{

white-space: nowrap;
}


@keyframes example {
from 
{
background-color:#C1A471 ;
color: #000000;
}
to 
{
background-color:#fcf8e3 ;
}
}
.alrt
{
animation-name: example;
animation-duration: 4s;
   
}

.marg
{
margin-top: auto;
margin-bottom: 0px;
}

@media print {

.col-md-1, .col-md-2, .col-md-3, .col-md-4, .col-md-5, .col-md-6, .col-md-7, .col-md-8, .col-md-9, .col-md-10, .col-md-11, .col-md-12 {
float: right;
}
.col-md-12 {
width: 100%;
}
.col-md-11 {
width: 91.66666666666666%;
}
.col-md-10 {
width: 83.33333333333334%;
}
.col-md-9 {
width: 75%;
}
.col-md-8 {
width: 66.66666666666666%;
}
.col-md-7 {
width: 58.333333333333336%;
}
.col-md-6 {
width: 50%;
}
.col-md-5 {
width: 41.66666666666667%;
}
.col-md-4 {
width: 33.33333333333333%;
}
.col-md-3 {
width: 25%;
}
.col-md-2 {
width: 16.666666666666664%;
}
.col-md-1 {
width: 8.333333333333332%;
}

}
  
  
/*.input-group .form-control:first-child, .input-group-addon:first-child, .input-group-btn:first-child > .btn, .input-group-btn:first-child > .btn-group > .btn, .input-group-btn:first-child > .dropdown-toggle, .input-group-btn:last-child > .btn:not(:last-child):not(.dropdown-toggle), .input-group-btn:last-child > .btn-group:not(:last-child) > .btn {
border-bottom-right-radius: 0px;
border-top-right-radius: 0px;
border-bottom-left-radius: 0;
border-top-left-radius: 0;
}*/

/*start bootsnipp-search*/
.animate {
-webkit-transition: all 0.3s ease-in-out;
-moz-transition: all 0.3s ease-in-out;
-o-transition: all 0.3s ease-in-out;
-ms-transition: all 0.3s ease-in-out;
transition: all 0.3s ease-in-out;
}

.navmaster .bootsnipp-search {
display: none;
}
.navmaster .bootsnipp-search .form-control {
background-color: rgb(235, 235, 235);
border-radius: 0px;
border-width: 0px;
font-size: 24px;
padding: 25px 0px;
}
.navmaster .bootsnipp-search .form-control:focus {
border-color: transparent;
outline: 0;
-webkit-box-shadow: none;
box-shadow: none;
}
.navmaster .bootsnipp-search .input-group-btn > .btn {
padding: 14px 16px;
border-radius: 0px;
}
.navmaster .bootsnipp-search .input-group-btn > .btn-default {
background-color: rgb(245, 245, 245);
}
.nav-padding {
padding-top: 61px;
}
@media screen and (min-width: 768px) {
.navmaster .bootsnipp-search {
background-color: rgb(235, 235, 235);
display: block;
position: absolute;
top: 100%;
width: 100%;
-webkit-transform: rotateX(-90deg);
-moz-transform: rotateX(-90deg);
-o-transform: rotateX(-90deg);
-ms-transform: rotateX(-90deg);
transform: rotateX(-90deg);
-webkit-transform-origin: 0 0 0;
-moz-transform-origin: 0 0 0;
-o-transform-origin: 0 0 0;
-ms-transform-origin: 0 0 0;
transform-origin: 0 0 0;
visibility: hidden;
}
.navmaster .bootsnipp-search.open {
-webkit-transform: rotateX(0deg);
-moz-transform: rotateX(0deg);
-o-transform: rotateX(0deg);
-ms-transform: rotateX(0deg);
transform: rotateX(0deg);
visibility: visible;	
}
.navmaster .bootsnipp-search > .container {
padding: 0px;
}    
}
.btserch
{
border-radius: 0px;
padding: 14px;
}
/*end bootsnipp-search*/
.highlight
{
background-color: #f1c688!important;
}
.classupdate
{
background-color: #2cdf16!important;
}

/*checked togel*/

.switch
{
position: relative;
display: inline-block;
width: 43px;
height: 19px;
float: right;
}
.switch input
{
display: none;
}
.slider
{
position: absolute;
cursor: pointer;
top: 0;
left: 0;
right: 0;
bottom: 0;
background-color: #ccc;
-webkit-transition: .4s;
transition: .4s;
}
.slider:before
{
position: absolute;
content: "";
height: 15px;
width: 15px;
left: 1px;
bottom: 2px;
background-color: white;
-webkit-transition: .4s;
transition: .4s;
}
input.default:checked + .slider
{
background-color: #444;
}
input.primary:checked + .slider
{
background-color: #2196F3;
}
input.success:checked + .slider
{
background-color: #8bc34a;
}
input.info:checked + .slider
{
background-color: #3de0f5;
}
input.warning:checked + .slider
{
background-color: #FFC107;
}
input.danger:checked + .slider
{
background-color: #f44336;
}
input:focus + .slider
{
box-shadow: 0 0 1px #2196F3;
}
input:checked + .slider:before
{
-webkit-transform: translateX(26px);
-ms-transform: translateX(26px);
transform: translateX(26px);
}
.slider.round
{
border-radius: 17px;
}
.slider.round:before
{
border-radius: 50%;
}
/*end checked togel*/


 

.form-control-feedback
{
line-height: 31px;
}
.panel-body
{
padding-top: 10px;
padding-bottom: 10px;
padding-right: 5px;
padding-left: 5px;
}
.panel-heading
{
padding: 5px 31px;
}

.badge.badge-success
{
transition: all 20s ease-inout;
background-color: #4caf50;
}
.fidein
{

float:right;
margin-left: 5px;
-webkit-animation: fadein 2s; /* Safari, Chrome and Opera > 12.1 */
-moz-animation: fadein 2s; /* Firefox < 16 */
-ms-animation: fadein 2s; /* Internet Explorer */
-o-animation: fadein 2s; /* Opera < 12.1 */
animation: fadein 2s;
}
@keyframes fadein {
from { opacity: 0; }
to   { opacity: 1; }
}

/* Firefox < 16 */
@-moz-keyframes fadein {
from { opacity: 0; }
to   { opacity: 1; }
}

/* Safari, Chrome and Opera > 12.1 */
@-webkit-keyframes fadein {
from { opacity: 0; }
to   { opacity: 1; }
}

/* Internet Explorer */
@-ms-keyframes fadein {
from { opacity: 0; }
to   { opacity: 1; }
}

/* Opera < 12.1 */
@-o-keyframes fadein {
from { opacity: 0; }
to   { opacity: 1; }
}

.acheckbox 
{
  
position: relative;
width: 1rem;
height: 1rem;
margin-top: 0px!important;
margin-right: .75rem!important;
margin-left: .75rem!important;
cursor: pointer;
-webkit-appearance: none!important;
-moz-appearance: none!important;
appearance: none!important;
outline: 0!important;
/**
* Iterate over map and autogenerate helper classes.
* See "https://codepen.io/fxm90/pen/zGjjrJ" for an example
*/
}

.acheckbox:before {
content: '';
position: absolute;
left: 0;
top: 0;
z-index: 1;
width: 100%;
height: 100%;
border: 1px solid #6cc0e5;
transition: all 0.3s ease-in-out;

}
.acheckbox:checked:before {
height: 50%;
-webkit-transform: rotate(-45deg);
transform: rotate(-45deg);
border-top-style: none;
border-right-style: none;
}
.acheckbox--red:checked:before {
border-color: #f44336;
}

.acheckbox--pink:checked:before {
border-color: #e91e63;
}
.acheckbox--purple:checked:before {
border-color: #9c27b0;
}
.acheckbox--deep-purple:checked:before {
border-color: #673ab7;
}
.acheckbox--indigo:checked:before {
border-color: #3f51b5;
}
.acheckbox--blue:checked:before {
border-color: #2196f3;
}
.acheckbox--light-blue:checked:before {
border-color: #03a9f4;
}
.acheckbox--cyan:checked:before {
border-color: #00bcd4;
}
.acheckbox--teal:checked:before {
border-color: #009688;
}
.acheckbox--green:checked:before {
border-color: #4caf50;
}
.acheckbox--light-green:checked:before {
border-color: #8bc34a;
}
.acheckbox--lime:checked:before {
border-color: #cddc39;
}
.acheckbox--yellow:checked:before {
border-color: #ffeb3b;
}
.acheckbox--amber:checked:before {
border-color: #ffc107;
}
.acheckbox--orange:checked:before {
border-color: #ff9800;
}
.acheckbox--deep-orange:checked:before {
border-color: #ff5722;
}
.acheckbox--blue-grey:checked:before {
border-color: #607d8b;
}
.danger__
{
color: #a94442!important;
background-color: #f2dede!important;
border-color: #ebccd1!important;
}
.delete
{
text-decoration: line-through #1470b7;
}
.trimText{
white-space: nowrap!important;
overflow: hidden!important; 
text-overflow: ellipsis!important;
display: inline-block!important;
border-bottom: 0px!important;
border-right: 0px!important;
border-left: 0px!important;
margin-top: -2px!important;
}
.highlightgridcol
{
background-color: #b9e21947!important;
}
.highlightgridcol2
{
background-color: #f0cc998c!important;
}

